Bug 1004139 - [virtio-win][viostor]Device Path Exerciser job faild on win7-64 "WDTF_FUZZTEST : NtAllocateVirtualMemory for zero page failed"
[virtio-win][viostor]Device Path Exerciser job faild on win7-64 "WDTF_FUZZTES...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 23:38 EDT by guo jiang
Modified: 2013-10-13 20:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 23:24:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
win7-64-block-68 (8.96 MB, application/zip)
2013-09-03 23:38 EDT, guo jiang
no flags Details

  None (edit)
Description guo jiang 2013-09-03 23:38:35 EDT
Created attachment 793415 [details]
win7-64-block-68

Description of problem:
win7-64 "Device Path Exerciser" job always failed with "WDTF_FUZZTEST : NtAllocateVirtualMemory for zero page failed"

Version-Release number of selected component (if applicable):
 Red Hat Enterprise Linux Server release 6.4 (Santiago)
 kernel-2.6.32-414.el6.x86_64    
 qemu-kvm-rhev-0.12.1.2-2.397.el6.x86_64
 virtio-win-prewhql-0.1-67
 spice-server-0.12.4-2.el6.x86_64
 seabios-0.6.1.2-28.el6.x86_64
 vgabios-0.6b-3.7.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1.Boot guest with CLI:
  /usr/libexec/qemu-kvm -M rhel6.5.0 -m 2G -smp 2,cores=2 -cpu cpu64-rhel6,+x2apic,family=0xe -usb -device usb-tablet -drive file=win7-64.raw,format=raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device virtio-blk-pci,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet0,mac=00:33:23:34:3a:10,bus=pci.0,addr=0x6 -netdev tap,sndbuf=0,id=hostnet1,script=/etc/qemu-ifup0,downscript=no -device e1000,netdev=hostnet1,mac=00:34:13:34:3a:11,bus=pci.0,addr=0x7 -uuid 83a56303-dd47-4a15-be59-26863754334b -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win7-64-block,server,nowait -mon chardev=111a,mode=readline -name win7-64-block-68 -vnc :1 -vga cirrus -rtc base=localtime,clock=host,driftfix=slew -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -monitor stdio
2.run hck "Device Path Exerciser"job
3.

Actual results:
The job failed with error log:
WDTF_FUZZTEST : NtAllocateVirtualMemory for zero page failed 
File:    Line: -1 
Error Type:    
Error Code:   0x0 
Error Text:   Error 0x00000000 

Expected results:
The job could pass

Additional info:
win7-64 hit the familiar issue with netkvm driver(Bug 1002915)
Comment 2 guo jiang 2013-09-04 23:24:42 EDT
this job could pass after apply HCK filter 1567, so close this bug.

Note You need to log in before you can comment on or make changes to this bug.